package java.nio.channels;

import java.io.IOException;
import java.nio.ByteBuffer;

public interface SeekableByteChannel extends ByteChannel
{
    public abstract int read(ByteBuffer p0) throws IOException;
    
    public abstract int write(ByteBuffer p0) throws IOException;
    
    public abstract long position() throws IOException;
    
    public abstract SeekableByteChannel position(long p0) throws IOException;
    
    public abstract long size() throws IOException;
    
    public abstract SeekableByteChannel truncate(long p0) throws IOException;
}
